Create Monitor
curl --request POST \
--url https://dash.tinyanalytics.io/api/uptime/monitors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "org_abc123",
"name": "Marketing site",
"monitorType": "http",
"intervalSeconds": 60,
"enabled": true,
"httpConfig": {
"url": "https://example.com",
"method": "GET",
"followRedirects": true
},
"validationRules": [
{
"type": "status_code",
"operator": "equals",
"value": 200
}
]
}
'import requests
url = "https://dash.tinyanalytics.io/api/uptime/monitors"
payload = {
"organizationId": "org_abc123",
"name": "Marketing site",
"monitorType": "http",
"intervalSeconds": 60,
"enabled": True,
"httpConfig": {
"url": "https://example.com",
"method": "GET",
"followRedirects": True
},
"validationRules": [
{
"type": "status_code",
"operator": "equals",
"value": 200
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organizationId: 'org_abc123',
name: 'Marketing site',
monitorType: 'http',
intervalSeconds: 60,
enabled: true,
httpConfig: {url: 'https://example.com', method: 'GET', followRedirects: true},
validationRules: [{type: 'status_code', operator: 'equals', value: 200}]
})
};
fetch('https://dash.tinyanalytics.io/api/uptime/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Monitor
Creates an org-scoped HTTP or TCP uptime monitor
POST
/
uptime
/
monitors
Create Monitor
Authorizations
An API key created in your account settings, sent as Authorization: Bearer <key>.
Body
application/json
Response
Success.
⌘I